| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_rfft_fast_f32.c File Reference

## Functions

void | stage_rfft_f32 (arm_rfft_fast_instance_f32 *S, float32_t *p, float32_t *pOut)
void | merge_rfft_f32 (arm_rfft_fast_instance_f32 *S, float32_t *p, float32_t *pOut)
void | arm_rfft_fast_f32 (arm_rfft_fast_instance_f32 *S, float32_t *p, float32_t *pOut, uint8_t ifftFlag)
| Processing function for the floating-point real FFT.

## Function Documentation

void merge_rfft_f32 | ( | arm_rfft_fast_instance_f32 * | S,
|  | float32_t * | p,
|  | float32_t * | pOut
| ) |  |

References arm_rfft_fast_instance_f32::pTwiddleRFFT, and arm_rfft_fast_instance_f32::Sint.

Referenced by arm_rfft_fast_f32().

void stage_rfft_f32 | ( | arm_rfft_fast_instance_f32 * | S,
|  | float32_t * | p,
|  | float32_t * | pOut
| ) |  |

References arm_rfft_fast_instance_f32::pTwiddleRFFT, and arm_rfft_fast_instance_f32::Sint.

Referenced by arm_rfft_fast_f32().